@charset "utf-8";
#select_area_contents {
    display: none;
    position: relative;
    z-index: 10;
    width: 450px;
    height: 85vh;
    margin: 0 auto;
    overflow-y: auto;
}

@media screen and (hover: none) and (any-pointer: coarse) {
	#select_area_contents {
		height: calc(100dvh - 55px);
	}
}

@media screen and (max-width: 480px) {
	#select_area_contents {
		width: 100%;
	}
}

#select_area_contents a {
	display: contents;
    color: #494949;
}

#select_area_contents a:hover {
	text-decoration: none;
}

#select_area_contents img {
	border:0;
	vertical-align: middle;
}

/*===== サブコンテンツ =====*/
#sub_contents {
    display: none;
    width: 450px;
    height: 85vh;
    position: absolute;
    top: 57px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 35;
    overflow-y: auto;
}

@media screen and (hover: none) and (any-pointer: coarse) {
	#sub_contents {
		height: calc(100dvh - 55px);
	}
}

@media screen and (max-width: 480px) {
	#sub_contents {
		width: 100%;
	}
}

#sub_container {
    overflow: hidden;
    height: 70vh;
    width: 90%;
    margin: 0 auto;
    margin-top: 30px;
    background-color: #fff;
    border: 3px solid #E54A1A;
	border-radius: 20px;
}

@media screen and (hover: none) and (any-pointer: coarse) {
	#sub_container {
        height: calc(100% - 36px - 75px);
	}
}

/*===== トップページ =====*/
#toppage_title {
    text-align: center;
    font-weight: bold;
    font-size: 20px;
}

.toppage_text {
    text-align: center;
    font-size: 18px;
}

#select_area_btn_menu {
    width: calc(100% - 50px);
    max-width: 400px;
    margin: auto;
    margin-top: 20px;
}

@media screen and (max-width: 480px) {
	#select_area_btn_menu {
		width: 100%;
	}
}

.station_btn_area {
    display: flex;
    justify-content: space-between;
    margin: auto;
}

.area_text {
    display: flex;
    justify-content: space-between;
    margin: auto;
    margin-bottom: 10px;
    padding-bottom:5px;
    border-bottom: 1px solid #bababa;
    align-items: center;
}

.area_text span:first-child {
    font-weight: bold;
}

.area_text span:last-child {
    font-size: 12px;
}

.area_text_sub {
    margin: auto;
    margin-bottom: 5px;
    font-size: 12px;
}

.single_area_text {
    width: calc(100% / 2 - 5px);
    display: flex;
    justify-content: space-between;
    margin: auto;
    margin-bottom: 10px;
    padding-bottom:5px;
    border-bottom: 1px solid #bababa;
    align-items: center;
}

.single_area_text span:first-child {
    font-weight: bold;
}

.single_area_text span:last-child {
    font-size: 12px;
}

@media screen and (max-width: 409px) {
    .station_btn_area {
        width: 95%;
    }

    .area_text,
    .area_text_sub {
        width: 95%;
    }
}

.station_btn_area.link {
    margin: 0 0 10px 0;
}

#link_area_title {
    margin: 50px 0 10px 0;
    font-size: 18px;
}

/*.station_btn.disabled {
    background-color: rgba(73, 73, 73 , 0.3);
}*/

.btn_margin {
    width: calc(100% / 4 - 5px);
}

#tokyo_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#shinagawa_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#shibuya_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#sapporo_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#takamatsu_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#shinjuku_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#ikebukuro_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#osaka_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#shinosaka_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#kyoto_btn {
    text-align: center;
    width: calc(100% / 4 - 5px);
}

#app_store_btn {
    display: flex;
    justify-content: center; 
    align-items: center;
}

#app_store_btn img {
    max-width: 100%;
    height: auto;
}

#google_play_btn {
    display: flex;
    justify-content: center; 
    align-items: center;
    background-color: #000000;
    border: none;
    border-radius: 5px;
    width: 40%
}

#google_play_btn img {
    max-width: 100%;
    height: auto;
}

#select_area_menu_open {
    position: absolute;
    right: 0;
}

/*===== 画像サイズ設定 =====*/
#tokyo_station_icon {
    width: 120px;
    height: auto;
    margin: 0 0 0 30px;
}

.station_btn img {
    width: 95%;
}

/*===== コード入力 =====*/
#input_code_area {
    display: none;
    position: absolute;
    z-index: 99999999;
    top: 0px;
    width: 100%;
    height: calc(85vh - 150px);
    background-color: rgba(30, 30, 30, 1);
    text-align: center;
    padding: 150px 0 0 0;
}

@media screen and (hover: none) and (any-pointer: coarse) {
	#input_code_area {
		height: calc(100dvh - 150px);
	}
}

#input_code_title {
    color: #FFF;
    font-size: 20px;
}

#input_code {
    margin: 30px 0 50px 0;
    width: 200px;
    height: 40px;
    border: none;
    border-radius: 10px;
    font-size: 32px;
}

#button_area {
    display: flex;
    justify-content: center;
}

#ok_btn {
    color: #E54A1A;
    background-color: #FFF;
    border: 3px solid #E54A1A;
    border-radius: 5px;
    width: 100px;
    height: 40px;
    margin: 0 0 0 15px;
    font-size: 20px;
}

#cancel_btn {
    background-color: #FFF;
    border: 3px solid #E54A1A;
    border-radius: 5px;
    width: 100px;
    height: 40px;
    margin: 0 15px 0 0;
}